Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 71771 - apm suspend hangs on ifdown
apm suspend hangs on ifdown
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-18 15:12 EDT by Ean J. Price
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages , /etc and output of lspci , lsusb and lsmod (73.25 KB, application/octet-stream)
2002-08-18 15:25 EDT, Ean J. Price
no flags Details

  None (edit)
Description Ean J. Price 2002-08-18 15:12:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
when running apm -s to enter suspend mode the box hangs on the ifdown. The
ifdown pins the cpu. When it is killed the laptop goes immediately into suspend. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run apm -s
2.
3.
	

Actual Results:  ifdown pins cpu and box doesnt suspend until ifdown is sent SIGTERM

Expected Results:  The laptop should have stopped pcmcia snd then suspended

Additional info:

Hardware:
Sony Vaio Laptop SR-17 i686 w/ 256mb
Lucent/Agere Orinoco Gold Wireless Card 

This problem doesnt exist in RH7.3 on same hardware.

apm are setuid to root which is probably not relevent. The problem exists for
normal user and the superuser. The card is set to user controlable.
Comment 1 Ean J. Price 2002-08-18 15:25:46 EDT
Created attachment 71365 [details]
messages , /etc and output of lspci , lsusb and lsmod
Comment 2 Bill Nottingham 2003-05-19 16:53:35 EDT
That appears to be cardmgr looping on eth0 not existing for some reason.

Note You need to log in before you can comment on or make changes to this bug.